@charset "UTF-8";
/* top-header */
#opening {
    opacity: 0;
    transition: 1s ease;
}
#opening.active {
    opacity: 1;
}

.header--top {
    display: flex;
    width: min(100%, 1280px);
    height: 80px;
    justify-content: space-between;
    align-items: center;
    padding: 30px 210px 0 24px;
    margin-inline: auto;
}
.header__title img{
    width: 40%;
    min-width: 250px;
    aspect-ratio: 20/3;
}
/* hero*/
.section--hero {
    display: flex;
    height: 700px;
    margin-top: 30px;
    justify-content: end;
}
.hero--side {
    width: 13.2%;
    min-width: 160px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10px;
}
.side__followus {
    width: 12%;
    min-width: 16px;
}
.hero__sns ul {
    display: flex;
    flex-direction: column;
    margin-top: 16px;
    gap: 10px;
}
.hero--main {
    width: min(85%, calc(50vw + 640px));
    position: relative;
}
.hero--absolute {
    position: absolute;
    top: -40px;
    left: -2%;
}
.hero--catchcopy {
    display: flex;
    flex-direction: column;
}
.hero__toshin {
    display: block;
    width: 41.2%;
    min-width: 360px;
    margin-bottom: 20px;
    z-index: 1;
    transform: translateX(-10%);
    opacity: 0;
    transition: opacity 0.5s ease;
    transition-delay: 1s;
}
#opening.active .hero__toshin {
    opacity: 1;
}
.hero__img {
    display: block;
    height:100%;
    border-radius: 20px 0 0 20px;
    width: 100%;
    overflow: hidden;
    z-index: inherit;
}
.hero__img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: bottom;
    transform: scale(1);
    opacity: 0.5;
    transition: all 4s ease;
    transition-delay: .2s;
}
#opening.active .hero__img img {
    transform: scale(1.02);
    opacity: 1;
}
.hero__catch2-1 {
    width: 397px;
    padding: 5px 10px;
    background-color: white;
    clip-path: inset(0 100% 0 0); 
    transition: clip-path 0.7s ease-out;
    transition-delay: 2.5s;
    z-index: 1;
}
#opening.active .hero__catch2-1 {
    clip-path: inset(0 0 0 0); 
}
  
.hero__catch2-2 {
    width: 349px;
    padding: 5px 10px;
    background-color: white;
    margin-top: 5px;
    clip-path: inset(0 100% 0 0); 
    transition: clip-path 0.8s ease-out;
    transition-delay: 3.3s;
    z-index: 1;
}
#opening.active .hero__catch2-2 {
    clip-path: inset(0 0 0 0); 
}
.hero__catch2-3 {
    width: 283px;
    padding: 5px 10px;
    background-color: white;
    margin-top: 5px;
    clip-path: inset(0 100% 0 0); 
    transition: clip-path 0.8s ease-out;
    transition-delay: 4.3s;
    z-index: 1;
}
#opening.active .hero__catch2-3 {
    clip-path: inset(0 0 0 0); 
}
.hero__weather {
    border-radius: 30px;
    background-color: white;
    padding: 20px;
    text-align: center;
    font-family: Montserrat;
    font-size: 1.8rem;
    line-height: 1.3; /* 23.4px */
    letter-spacing: 0.54px;
    position:absolute;
    left: -140px;
    bottom: 30px;
}
.weather__date {
    display: block;
    letter-spacing: 1.6px;
}
.weather__city {
    display: block;
    font-family: "Noto Sans JP";
    font-size: 1.8rem;
    line-height: 1; /* 18px */
    letter-spacing: 0.54px;
    margin-top: 5px;
}
.weather__content {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
}
.weather__icon {
    width: 51%;
    max-width: 60px;
}
.weather__temp {
    font-family: Montserrat;
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1; /* 24px */
    letter-spacing: 1.2px;
    margin-left: 10px;
}
.scroll-down svg {
    animation: 
        svg-color-change 2s infinite,
        svg-rotate 2s infinite;
}
@keyframes svg-color-change {
    0% {
        color: var(--primary-navy);
    }
    50% {
        color: var(--primary-navy);
    }
    51% {
        color: var(--primary-yellow);
    }
    100% {
        color: var(--primary-yellow);
    }
}
@keyframes svg-rotate {
    0% {
        transform: rotate(0deg);
    }
    40% {
        transform: rotate(0deg);
    }
    60% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.scroll-down {
    color: var(--primary-navy);
    text-align: center;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 600;
    line-height: 1; /* 20px */
    letter-spacing: 2px;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: white;
    paint-order: stroke;
    writing-mode: vertical-rl;
    position: absolute;
    left: 5%;
    bottom: -55px;
    z-index: 2;
}
.scroll-down::before {
    content: "";
    width: 2.5px;
    height: 50px;
    background-image: linear-gradient(to bottom, #235 0%, #235 30%, transparent 30%, transparent 45%, #235 45%, #235 70%, transparent 70%, transparent 85%, #235 85%, #235 100%);
    background-repeat: no-repeat;
    background-size: 100% 50px;
    position: absolute;
    left: 10.2px;
    top: -60px;
    animation: 
        scroll-down 2s infinite,
        color-change 2s infinite;
}
@keyframes scroll-down {
    0% {
        transform: scale(1, 0);
        transform-origin: 0 0;
    }
    50% {
        transform: scale(1,1);
        transform-origin: 0 0;
    }
    51% {
        transform: scale(1, 1);
        transform-origin: 0 100%;
    }
    100% {
        transform: scale(1,1);
        transform-origin: (0 100%);
    }
}
@keyframes color-change {
    0% {
        background-image: linear-gradient(to bottom, #235 0%, #235 30%, transparent 30%, transparent 45%, #235 45%, #235 70%, transparent 70%, transparent 85%, #235 85%, #235 100%);
    }
    100% {
        background-image: linear-gradient(to bottom, white 0%, white 30%, transparent 30%, transparent 45%, white 45%, white 70%, transparent 70%, transparent 85%, white 85%, white 100%);
    }
}

/* 1000px */
@media screen and (max-width: 1000px) {
    .hero--side {
        min-width: 100px;
    }

    .hero__weather {
        padding: 16px;
        border-radius: 20px;
        font-size: 1.4rem;
        letter-spacing: 0.42px;
        position:absolute;
        left: -90px;
        bottom: 30px;
    }
    .weather__city {
        font-size: 1.4rem;
        letter-spacing: 0.42px;
    }
    .weather__temp {
        font-size: 1.6rem;
        letter-spacing: 0.48px;
    }
    .weather__icon {
        width: 40px;
    }
    .scroll-down {
        left: 48%;
        transform: translateX(-50%);
        bottom: -87px;
    }
}
@media screen and (max-width: 768px) {
    .section--hero {
        height: 550px;
        margin-top: 20px;
    }
    .hero--side {
        display: none;
    }
    .hero--main {
        padding-left: 7.7%;
        width: 100%;
    }
    .hero--absolute {
        position: absolute;
        top: -20px;
        left: 5%;
    }
    .hero__toshin {
        display: block;
        min-width: 280px;
        transform: translateX(15px);
        margin-bottom: 10px;
    }
    .hero__catch2-1 {
        width: 300px;
    }
    .hero__catch2-2 {
        width: 263px;
    }
    .hero__catch2-3 {
        width: 213px;
    }
    .hero__weather {
        position:absolute;
        left: 3%;
        bottom: 40px;
    }
    .hero__img img {
        object-position: right bottom;
    }
    .scroll-down {
        display: none;
    }
}
/* topics(topics_itemはcommon.cssに記載) */
.section--topics {
    width: var(--contentWidthTop);
    margin: 100px auto 80px;
}
.topics--content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.carousel-container {
    width: 74.5%;
}
.topics__title {
    margin-right:auto;
    padding-left: 20x;
}
.topics {
    display: flex;
    gap: 3.3%;
    width: 100%;
    padding-left: 3.3%;
    justify-content: space-between;
    align-items: stretch;
}
.topics__btn--title {
    display: inline-block;
}
.topics__btn__right {
    text-align: right;
}
.topics__btn {
    display: flex;
    align-items: center;
    margin-top: 30px;
    gap: 16px;
}
.topics__btn p {
    font-size: 2rem;
    line-height: 1;
    transition: color .3s ease;
}
@media (any-hover: hover) {
    .topics__btn--title:hover .topics__btn {
        color: var(--primary-blue);
        transition: color .3s ease;
    }
}
.sectionbtn__icon--arrow {
    width: 40px;
    height: 40px;
    background-color: var(--primary-black);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s ease;
}
.section__icon--arrow {
    color: white;
    transition: color .3s ease;
}
@media (any-hover: hover) {
    .topics__btn--title:hover .sectionbtn__icon--arrow,
    .access__btn:hover .sectionbtn__icon--arrow{
        background-color: var(--primary-blue);
        transition:  .3s ease;
    }
}
@media (any-hover: hover) {
    .stay__item:hover .sectionbtn__icon--arrow{
        background-color: var(--primary-navy);
        transition:  .3s ease;
    }
}
/* 1000px */
@media screen and (max-width: 1000px) {
    .topics--content {
        flex-direction: column;
    }
    .topics__title {
        margin-right: auto;
    }
    .carousel-container {
        width: 100%;
    }
    .topics {
        display: flex;
        gap: 3.3%;
        width: 100%;
        margin-top: 30px;
        padding-left: 0;
    }
}
@media screen and (max-width: 768px) {
    .section--topics {
        width: 100%;
        margin: 60px auto 40px;
    }
    .topics__title {
        padding-left: 4.1%;
    }
    .carousel-container {
        /* 横スクロールを可能にする */
        overflow-x: scroll;
        width: 100%;
        /* スクロールバーを非表示にする（オプション） */
        -ms-overflow-style: none; /* IE and Edge */
        scrollbar-width: none; /* Firefox */
    }
    .carousel-container::-webkit-scrollbar {
        display: none; /* Chrome, Safari */
    }
    .topics {
        white-space: nowrap;
        /* PC版の gap は継承されるか、ここで調整 */
        gap: 20px;
        width: 100%; 
    }
    .topics__item {
        flex-shrink: 0; 
        width: 70vw; 
        /* 2. スクロールスナップの設定（必須ではないが、UX向上に効果的） */
        scroll-snap-align: start;
    }
    /* トラック全体にスクロールスナップを設定 */
    .topics {
        scroll-snap-type: x mandatory;
        padding-left: 4.1%;
        padding-right: 4.1%;
        /* ここで左端に padding を設定すると、要素が画面の端から始まる */
    }
    .topics__btn--title {
        padding-right:4.1%; 
    }
}
/* concept */
.concept--content {
    width: 98.6%;
    background-image: url(../img/camp_bg1.webp);
    background-size: cover;
    margin: 0 auto;
    padding: 10px 0;
    border-radius: 20px;
    z-index: 0;
}
.concept__item {
    width: min(66.5%, 1280px);
    background-color: var(--primary-whiteY);
    margin: 90px auto;
    border-radius: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}
.concept__title {
    width: 47%;
    max-width: 500px;
    object-fit: contain;
    margin: 60px auto;
}
.concept__txt {
    margin-top: 30px;
}
.concept__txt--last {
    margin-bottom: 200px;
}
.parallax__img {
    overflow: hidden;
    border-radius: 20px;
    z-index: 2;
}
.concept__img {
    transform: scale(1);
    transition: transform 0.1s linear;
    transform-origin: center center;
}
.concept__group--absolute1,
.concept__group--absolute2,
.concept__group--absolute3,
.concept__group--absolute4 {
    position: relative;
}
.parallax-container1 {
    width: 43.2%;
    max-width: 400px;
    position: absolute;
    top: 40px;
    left: -22.4%;
}
.concept__img1 {
    aspect-ratio: 408/263;
}
/* コンセントあります */
.concept__groupimg2 {
    position: absolute;
    width: 35.8%;
    top: 333px;
    left: -28.1%;
    max-width: 450px;
}
.concept__img2 {
    aspect-ratio: 338/209;
}
.concept__fukidashi2 {
    width: 43.5%;
    position: absolute;
    top: 20px;
    right: -32.5%;
}
/* 夏はプール */
.concept__groupimg3 {
    position: absolute;
    width: 31.5%;
    bottom: 50px;
    left: -19%;
    max-width: 340px;
}
.concept__img3 {
    aspect-ratio: 297/193;
}
.concept__fukidashi3 {
    position: absolute;
    width: max(45.8%, 95px);
    top:-10px;
    right: -22.9%;
}
.concept__imgPool {
    position: absolute;
    width: 63.1%;
    left:100%;
    bottom: 10px;
}
/* 子供二人と富士山 */
.concept__groupimg4 {
    position: absolute;
    width: 43.1%;
    aspect-ratio: 406/251;
    /* 208(はみ出しているpx)/943(concept__itemのｐｘ) 1440pxの際の*/
    top: 100px;
    right: -22.1%;
    max-width: 500px;
}

.concept__img4 {
    aspect-ratio: 406/251;
}
.concept__imgKids {
    width: 50%;
    position: absolute;
    left:-5%;
    bottom: -35%;
}
.parallax-container5 {
    position: absolute;
    width: 29.1%;
    max-width: 380px;
    bottom: 222px;
    right:-32.3%;
}
.concept__img5 {
    aspect-ratio: 274/168;
}
/* 水回りも綺麗！ */
.concept__groupimg6 {
    position: absolute;
    width: 16.9%;
    bottom: 72px;
    right: -8.2%;
    max-width: 200px;
}
.concept__img6 {
    aspect-ratio: 159/134;
}
.concept__imgFacility {
    position: absolute;
    width: 105%;
    top: -50%;
    left: -35%;
}
.concept__imgfuji {
    position:absolute;
    width: 34.5%;
    max-width: 380px;
    aspect-ratio: 325/162;
    bottom: 0px;
    right: 9.3%;
}
/* 768px */
@media screen and (max-width: 768px) {
    .concept--content {
        width: 100%;
        border-radius: 0;
    }
    .concept__item {
        width: var(--contentWidthSP);
        max-width: 600px;
        margin: 120px auto;
    }
    .concept__title {
        margin: 160px auto 0;
        width: 240px;
    }
    .concept__txt--last {
        margin-bottom: 280px;
    }
    .parallax-container1 {
        width: 38%;
        min-width: 174px;
        position: absolute;
        top: 30px;
        left: -8.4%;
        z-index: 1;
    }
    .concept__groupimg2 {
        position: absolute;
        width: 35.8%;
        top: auto;
        bottom: 100px;
        left: 1%;
        min-width: 160px;
    }
    .concept__groupimg3 {
        position: absolute;
        width: 31.5%;
        bottom: -80px;
        left: -13%;
        min-width: 160px;
    }
    .concept__groupimg4 {
        position: absolute;
        width: 43.1%;
        top: -110px;
        right: -10.1%;
        min-width: 220px;
        z-index: 2;
    }
    .parallax-container5 {
        position: absolute;
        width: 29.1%;
        min-width: 130px;
        bottom: 180px;
        right:-12.3%;
    }
    .concept__groupimg6 {
        position: absolute;
        width: 16.9%;
        bottom: 80px;
        right: 10%;
        min-width: 80px;
    }
    .concept__imgfuji {
        position:absolute;
        width: 34.5%;
        aspect-ratio: 325/162;
        bottom: 0px;
        right: 20%;
        min-width: 150px;
    }
}
@media screen and (max-width: 425px) {
    .concept__fukidashi2 {
        width: max(43.5%, 90px);
        position: absolute;
        top: -25px;
        right: -20.5%;
    }
    .concept__imgFacility {
        position: absolute;
        width: 105%;
        top: -50%;
        left: -15%;
    }
    .concept__groupimg3 {
        z-index: 2;
    }
    .concept__imgfuji {
        position:absolute;
        width: 30%;
        aspect-ratio: 325/162;
        bottom: 0px;
        right: 8%;
        min-width: 150px;
        z-index: 1;
    }
}

/* stay */
.whichStay {
    margin: 40px auto;
    width: clamp(240px, 27.4%, 400px);
    object-fit: contain;
}
.stay--content {
    display: flex;
    justify-content: center;
    gap: 2%;
    padding: 0 5.6% 80px;
    max-width: 1600px;
    margin-inline: auto;
}
.stay__item {
    width: 48%;
    max-width: 800px;
    min-width: 470px;
    align-items: stretch;
    border-radius: 20px;
    background-color: white;
    transition: .5s ease;
}
.stay__item__img {
    overflow: hidden;
    border-radius: 20px 20px 0 0;
    position: relative;
}
.stay__item__img::before {
    content: "";
    background-color: rgba(255, 255, 255, 0.2);
    width: 100%;
    height: 100%;
    position: absolute;
    opacity: 0;
    z-index: 2;
    transition: .3s ease;
}
.stay__item__img img {
    aspect-ratio: 123/74;
    border-radius: 20px 20px 0 0;
    transition: .5s ease;
}
.stay__item__detail {
    padding: 30px 5px;
    text-align: center;
}
.stay__title {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding-left: 40px;
}
.stay__title svg {
    display: block;
    width: 40px;
    height: 40px;
    background-size: cover;
    color:var(--primary-black);
    transition: color .3s ease;
}
/* @media (any-hover: hover) {
    .stay__item:hover svg{
        color: var(--primary-blue);
        transition: color .3s ease;
    }
} */
.stay__txt {
    margin-top: 20px;
}
.stay__outline {
    display: inline-block;
    background-color: var(--primary-40pblue);
    border-radius: 20px;
    margin-top: 20px;
    padding: 20px 5px 10px;
}
.stay__price {
    background-color: white;
    color: var(--black, #272833);
    text-align: center;
    font-family: "Noto Sans JP";
    font-size: 2rem;
    font-weight: 500;
    line-height: 1;
    padding: 10px 10px;
    border-radius: 10px;
    margin-left: 10px;
    margin-right: 10px;
} 
.stay__outline table {
    margin: 10px auto 0;
    border-collapse: separate;
    border-spacing: 16px 16px;
}
.stay__outline th {
    color: white;
    text-align: center;
    font-size: 1.6rem;
    font-weight: 500;
    line-height: 1; 
    padding: 5px 10px 7px;
    background-color: var(--primary-black);
    border-radius: 20px;
    vertical-align: middle; 
}
.stay__camp th:first-child {
    background-color: transparent;
}
.stay__outline tbody {
    text-align: center;
    font-family: Montserrat;
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 0.54px;
}
.stay__camp::after{
    content: '';
    display: block;
    width: 93%;
    margin: 0 auto;
    border: 0.5px solid var(--primary-black);
    transform: translateY(-42px);
}
@media (any-hover: hover) {
    .stay__item:hover img {
        transform: scale(1.05);
        transition: .5s ease;
    }
    .stay__item:hover .stay__title h3,
    .stay__item:hover .stay__title p {
        color: var(--primary-navy);
        transition: .5s ease;
    }
    .stay__item:hover {
        background-color: #D9EBF4;
        transition: .5s ease;
    }
    .stay__item:hover .stay__item__img::before {
        opacity: 1;
    }
}
/* 1000px */
@media screen and (max-width: 1000px) {
    .stay--content {
        flex-direction: column;
        align-items: center;
    }
    .stay__item {
        width: 100%;
        max-width: 800px;
    }
    .stay__item:nth-of-type(2) {
        margin-top: 40px;
    }
}
@media screen and (max-width: 768px) {
    .stay--content {
        padding: 0 4.1% 60px;
    }
    .stay__item {
        min-width: 400px;
    }
    .stay__price {
        font-size: 1.6rem;
    } 
    .stay__outline th {
        font-size: 1.2rem;
    }
    .stay__outline tbody {
        font-size: 1.6rem;
        letter-spacing: 0.2px;
    }
    .stay__camp::after{
        width: 93%;
        transform: translateY(-40px);
    }
}
@media screen and (max-width: 460px) {
    .stay__item {
        min-width: 300px;
    }
    .stay__title {
        gap: 10px;
        padding-left: 16px;
    }
    .stay__outline {
        padding: 16px 5px 10px 5px;
    }
    .stay__outline table {
        margin: 20px auto 0;
        border-spacing: 7px 16px;
    }
    .stay__outline th {
        padding: 5px 5px 7px;
    }
    .stay__outline tbody {
        font-size: 1.4rem;
        font-weight: 500;
        line-height: 1;
        letter-spacing: 0.54px;
    }
    .stay__camp::after{
        content: '';
        display: block;
        width: 96%;
        margin: 0 auto;
        border: 0.5px solid var(--primary-black);
        transform: translateY(-38px);
    }
}
@media screen and (max-width: 370px) {
    .stay__camp::after{
        display: none;
    }
}
/* access */
.access {
    position: relative;
}
.access__maps {
    width: 100vw;
    height: 500px;
    z-index: 1;
    position: static;
}
.access__btn {
    position: absolute;
    top:50%;
    right:5.5%;
    z-index: 2;
    transform: translateY(-50%);
}
.access--content {
    background-color: var(--primary-whiteY);
    border-radius: 20px;
    padding: 30px 30px 40px 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.access__name {
    font-size: 2rem;
    margin-top: 30px;
}
.access__address {
    margin-top: 5px;
}
.access__list {
    width: 100%;
}
.access__list--content {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.access__list--content dt {
    color: #FFF;
    font-size: 1.8rem;
    font-weight: 500;
    padding: 5px 10px;
    background-color: var(--primary-blue);
}
.access__list--content dd {
    font-family: Montserrat;
    font-size: 1.8rem;
    margin-left: 20px;
}
.access__btn--title {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
    margin-top: 30px;
    width: 100%;
}
.access__btn--title p {
    font-size: 2rem;
    line-height: 1; /* 30px */
    transition: color .3s ease;
}
@media (any-hover: hover) {
    .access__btn:hover .access__btn--title p{
        color: var(--primary-blue);
        transition: color .3s ease;
    }
}
.access__btn--title svg {
    display: block;
    width: 40px;
    height: 40px;
    background-size: cover;
    color:var(--primary-black);
    margin-left: 10px;
    transition: color .3s ease;
}
@media (any-hover: hover) {
    .access__btn:hover svg{
        color: var(--primary-blue);
        transition: color .3s ease;
    }
}
/* 1000px */
@media screen and (max-width: 1000px) {
    .access__maps {
        width: calc(94.5% - 161.5px);
        border-radius: 0 20px 20px 0;
    }
}
@media screen and (max-width: 768px) {
    .access__maps {
        width: calc(95.9% - 136.5px);
    }
    .access--content {
        padding: 20px 20px 24px;
    }
    .access__name {
        font-size: 1.8rem;
    }
    .access__address {
        font-size: 1.4rem;
    }
    .access__list--content dt,
    .access__list--content dd {
        font-size: 1.6rem;
    }
    .access__list--content dd {
        margin-left: 10px;
    }
}
@media screen and (max-width: 600px) {
    .access {
        margin-bottom: 300px;
    }
    .access__maps {
        width: 100vw;
        height: 400px;
        border-radius: 0;
    }
    .access__btn {
        width: var(--contentWidthSP);
        max-width: 390px;
        top: auto;
        bottom: -260px;
        right: 50%;
        transform: translate(50%, 0);
    }
}
@media screen and (min-width: 1600px) {
    .access__btn {
        right : calc(50vw - 640px);
    }
}

/* photogallary */
.photo--content {
    width: 100%;
    padding: 80px 0 60px;
}
.photogallery {
    display: flex;
    width: 400%;
    animation: scroll 60s linear infinite;
}
.photogall {
    width: 18vw;
    margin-right: 2vw;
}
.photogall__img {
    border-radius: 20px;
    object-fit: cover;
}
.photogall:nth-child(odd) { 
    margin-top: 10vh;
}
.photogall:nth-child(even) { 
    margin-top: 17vh;
}
.photogall:nth-child(3), 
.photogall:nth-child(6),
.photogall:nth-child(9),
.photogall:nth-child(13) { 
    margin-top: 2vh;
}
.photogall:nth-child(10) {
    margin-top: 6vh;
}
.photo--gall2 {
    width: 70%;
}
.photo--gall5 {
    width: 60%;
    margin: 0 auto;
}
.photo--gall6,
.photo--gall8 {
    width: 60%;
}
.photo--gall7,
.photo--gall9,
.photo--gall10 {
    width: 85%;
}
.photogall--absolute {
    position: relative;
}
.photo--star1 {
    position: absolute;
    width: min(20%, 40px);
    bottom: 32%;
    left: -30%;
    animation: star-rotate 20s linear infinite;
}
.photo--star2 {
    position: absolute;
    width: min(20%, 40px);
    bottom: 8%;
    right: 30%;
}
.photo--star3 {
    position: absolute;
    width: min(17%, 40px);
    bottom: 38%;
    right: -10%;
    animation: star-rotate 10s linear infinite;
}
.photo--star4 {
    position:absolute;
    width: min(15%, 35px);
    top: -90px;
    left: -15px;
    transform: rotate(20deg);
}
.photo--star5 {
    position:absolute;
    width: min(15%, 35px);
    top: -30px;
    left: -10px;
    animation: star-rotate2 15s linear infinite;
}
@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}
@keyframes star-rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
@keyframes star-rotate2 {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(-360deg);
    }
}
@media screen and (max-width: 768px) {
    .photo--content {
        padding: 40px 0 20px;
    }
    .photogallery {
        width: 800%;
        animation: scroll 50s linear infinite;
    }
    .photogall {
        width: 46vw;
        margin-right: 4vw;
    }
    @keyframes scroll {
        from {
            transform: translateX(0);
        }
        to {
            transform: translateX(-50%);
        }
    }
}
@media screen and (max-width: 425px) {
    .photo--content {
        padding: 20px 0;
    }
    .photogall__img {
        border-radius: 15px;
    }
    .photo--gall5, 
    .photo--gall6,
    .photo--gall8 {
        width: 80%;
    }
}
.sectoin--sub__title--top {
    display: none;
}